﻿@model PROJETMODELE.Models.VML.TP.Ouverture_Cloture_CaisseVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="width:450px; height:210px" >
    <div>Ajout</div>
    <div class="forms">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <table>
                <tr>
                    <td>@Html.LabelFor(model => model.Date_Ouverture)</td>
                    <td>@HTML_OUF.DateTimePicker("Date_Ouverture","280")</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.ID_Caisse)</td>
                    <td>@HTML_OUF.DropDownList("ID_Caisse",TempData["ID_Caisse"] as SelectList, "280")</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(model => model.ID_Personnel)</td>
                    <td>@HTML_OUF.DropDownList("ID_Personnel",TempData["ID_Personnel"] as SelectList, "280")</td>
                </tr>
            </table>
            <br />
            <p>
                <button title="Valider" type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
                <button title="Annuler" type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
            </p>
        }
    </div>
</div>
<script>
    $('#formulaire').jqxValidator({
        rules: [
            {
               input: '#C_ID_Personnel', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: function (input) {
                   if ($("#ID_Personnel").val() == null) {
                       return false;
                   }
                   return true;
               }
            },
            {
               input: '#C_ID_Caisse', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: function (input) {
                   if ($("#ID_Caisse").val() == null) {
                       return false;
                   }
                   return true;
               }
           },           
        ],
    });
   
</script>
